# BuildServiceSpec

interface BuildServiceSpec<P : BuildServiceParameters?>

A set of parameters that defines a service registration.

#### Since

6.1

#### Parameters

<P>

The type of parameters to inject into the service implementation.

## Functions

getMaxParallelUsages
Link copied to clipboard
abstract fun getMaxParallelUsages(): Property<Integer>
Specifies the maximum number of tasks that can use this service in parallel.
getParameters
Link copied to clipboard
abstract fun getParameters(): P
Returns the parameters to will be used to create the service instance.
parameters
Link copied to clipboard
abstract fun parameters(configureAction: Action<in P>)
Runs the given action to configure the parameters.